public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/PyQt5/
Date: Sat,  1 Aug 2020 23:20:01 +0000 (UTC)	[thread overview]
Message-ID: <1596323978.c716e3b0b2dcd4c6a2c90893295165003992a794.asturm@gentoo> (raw)

commit:     c716e3b0b2dcd4c6a2c90893295165003992a794
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Aug  1 09:52:34 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Aug  1 23:19:38 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c716e3b0

dev-python/PyQt5: Drop python2_7

Package-Manager: Portage-3.0.1, Repoman-2.3.23
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 ...{PyQt5-5.14.2.ebuild => PyQt5-5.14.2-r1.ebuild} | 23 +++++-----------------
 ...{PyQt5-5.15.0.ebuild => PyQt5-5.15.0-r1.ebuild} | 23 +++++-----------------
 2 files changed, 10 insertions(+), 36 deletions(-)

diff --git a/dev-python/PyQt5/PyQt5-5.14.2.ebuild b/dev-python/PyQt5/PyQt5-5.14.2-r1.ebuild
similarity index 90%
rename from dev-python/PyQt5/PyQt5-5.14.2.ebuild
rename to dev-python/PyQt5/PyQt5-5.14.2-r1.ebuild
index 04c639a05ba..6f47872f089 100644
--- a/dev-python/PyQt5/PyQt5-5.14.2.ebuild
+++ b/dev-python/PyQt5/PyQt5-5.14.2-r1.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python2_7 python3_{6,7,8,9} )
+PYTHON_COMPAT=( python3_{6,7,8,9} )
 inherit multibuild python-r1 qmake-utils
 
 DESCRIPTION="Python bindings for the Qt framework"
@@ -54,11 +54,7 @@ REQUIRED_USE="
 # Minimal supported version of Qt.
 QT_PV="5.12:5"
 
-RDEPEND="
-	${PYTHON_DEPS}
-	$(python_gen_cond_dep '
-		dev-python/enum34[${PYTHON_USEDEP}]
-	' -2)
+RDEPEND="${PYTHON_DEPS}
 	>=dev-python/PyQt5-sip-4.19.20:=[${PYTHON_USEDEP}]
 	>=dev-qt/qtcore-${QT_PV}
 	>=dev-qt/qtxml-${QT_PV}
@@ -156,13 +152,8 @@ src_configure() {
 		"${myconf[@]}" || die
 
 		# Fix parallel install failure
-		if python_is_python3; then
-			sed -i -e '/INSTALLS += distinfo/i distinfo.depends = install_subtargets install_pep484_stubs install_qscintilla_api' \
-				${PN}.pro || die
-		else
-			sed -i -e '/INSTALLS += distinfo/i distinfo.depends = install_subtargets install_qscintilla_api' \
-				${PN}.pro || die
-		fi
+		sed -i -e '/INSTALLS += distinfo/i distinfo.depends = install_subtargets install_pep484_stubs install_qscintilla_api' \
+			${PN}.pro || die
 
 		# Run eqmake to respect toolchain and build flags
 		eqmake5 -recursive ${PN}.pro
@@ -187,11 +178,7 @@ src_install() {
 		done
 
 		local uic_dir=${tmp_root}$(python_get_sitedir)/${PN}/uic
-		if python_is_python3; then
-			rm -r "${uic_dir}"/port_v2 || die
-		else
-			rm -r "${uic_dir}"/port_v3 || die
-		fi
+		rm -r "${uic_dir}"/port_v2 || die
 
 		multibuild_merge_root "${tmp_root}" "${D}"
 		python_optimize

diff --git a/dev-python/PyQt5/PyQt5-5.15.0.ebuild b/dev-python/PyQt5/PyQt5-5.15.0-r1.ebuild
similarity index 90%
rename from dev-python/PyQt5/PyQt5-5.15.0.ebuild
rename to dev-python/PyQt5/PyQt5-5.15.0-r1.ebuild
index 3d51e939103..075b0001293 100644
--- a/dev-python/PyQt5/PyQt5-5.15.0.ebuild
+++ b/dev-python/PyQt5/PyQt5-5.15.0-r1.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python2_7 python3_{6..9} )
+PYTHON_COMPAT=( python3_{6..9} )
 inherit multibuild python-r1 qmake-utils
 
 DESCRIPTION="Python bindings for the Qt framework"
@@ -54,11 +54,7 @@ REQUIRED_USE="
 # Minimal supported version of Qt.
 QT_PV="5.12:5"
 
-RDEPEND="
-	${PYTHON_DEPS}
-	$(python_gen_cond_dep '
-		dev-python/enum34[${PYTHON_USEDEP}]
-	' -2)
+RDEPEND="${PYTHON_DEPS}
 	>=dev-python/PyQt5-sip-4.19.23:=[${PYTHON_USEDEP}]
 	>=dev-qt/qtcore-${QT_PV}
 	>=dev-qt/qtxml-${QT_PV}
@@ -156,13 +152,8 @@ src_configure() {
 		"${myconf[@]}" || die
 
 		# Fix parallel install failure
-		if python_is_python3; then
-			sed -i -e '/INSTALLS += distinfo/i distinfo.depends = install_subtargets install_pep484_stubs install_qscintilla_api' \
-				${PN}.pro || die
-		else
-			sed -i -e '/INSTALLS += distinfo/i distinfo.depends = install_subtargets install_qscintilla_api' \
-				${PN}.pro || die
-		fi
+		sed -i -e '/INSTALLS += distinfo/i distinfo.depends = install_subtargets install_pep484_stubs install_qscintilla_api' \
+			${PN}.pro || die
 
 		# Run eqmake to respect toolchain and build flags
 		eqmake5 -recursive ${PN}.pro
@@ -187,11 +178,7 @@ src_install() {
 		done
 
 		local uic_dir=${tmp_root}$(python_get_sitedir)/${PN}/uic
-		if python_is_python3; then
-			rm -r "${uic_dir}"/port_v2 || die
-		else
-			rm -r "${uic_dir}"/port_v3 || die
-		fi
+		rm -r "${uic_dir}"/port_v2 || die
 
 		multibuild_merge_root "${tmp_root}" "${D}"
 		python_optimize


             reply	other threads:[~2020-08-01 23:20 UTC|newest]

Thread overview: 165+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-08-01 23:20 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-13 20:28 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyqt5/ Andreas Sturmlechner
2025-01-22 23:52 Andreas Sturmlechner
2024-11-22 20:00 [gentoo-commits] repo/gentoo:master commit in: dev-python/PyQt5/ Michał Górny
2024-08-10 20:17 Michał Górny
2024-08-10 15:41 Michał Górny
2024-08-03 16:48 Jakov Smolić
2024-08-03  8:45 Michał Górny
2024-08-03  8:45 Michał Górny
2024-08-03  6:24 Michał Górny
2024-07-19 14:39 Ionen Wolkens
2024-06-28 14:45 Ionen Wolkens
2023-11-09 15:49 Ionen Wolkens
2023-11-03 16:24 Arthur Zamarin
2023-11-03 16:24 Arthur Zamarin
2023-11-03 16:24 Arthur Zamarin
2023-11-03 16:24 Arthur Zamarin
2023-11-03 15:39 Sam James
2023-11-01 11:22 Ionen Wolkens
2023-10-30  5:38 Ionen Wolkens
2023-10-14 14:48 Ionen Wolkens
2023-08-24 12:47 Michał Górny
2023-07-25  0:10 Ionen Wolkens
2023-04-25 15:00 Michał Górny
2023-04-25  6:10 Jakov Smolić
2023-04-24  8:25 Arthur Zamarin
2023-04-24  8:25 Arthur Zamarin
2023-04-23 22:12 Sam James
2023-04-23  4:53 Sam James
2023-03-17 15:29 Michał Górny
2023-03-10  8:40 Sam James
2022-12-11  3:59 Michał Górny
2022-12-10 18:04 Arthur Zamarin
2022-12-10 18:00 Arthur Zamarin
2022-12-10 18:00 Arthur Zamarin
2022-12-10 17:52 Sam James
2022-12-10 17:45 Sam James
2022-12-02 10:20 WANG Xuerui
2022-11-05  6:35 Sam James
2022-10-30 22:41 Sam James
2022-09-26 17:18 Andreas Sturmlechner
2022-06-08 19:16 Andrew Ammerlaan
2022-06-01  5:25 Sam James
2022-06-01  5:25 Sam James
2022-06-01  2:29 Sam James
2022-06-01  1:55 Sam James
2022-06-01  1:55 Sam James
2022-02-04 18:48 Sam James
2021-10-31  0:46 Davide Pesavento
2021-10-29 13:31 Yixun Lan
2021-10-22  3:10 Davide Pesavento
2021-10-21  5:05 Davide Pesavento
2021-09-03  4:03 Davide Pesavento
2021-09-03  1:53 Sam James
2021-08-10  8:58 Yixun Lan
2021-08-03  2:09 Davide Pesavento
2021-08-02  2:14 Davide Pesavento
2021-07-19 18:36 Sam James
2021-07-19 18:36 Sam James
2021-06-19 20:42 Davide Pesavento
2021-06-01 20:21 Davide Pesavento
2021-06-01 17:07 Andrew Ammerlaan
2021-05-24  9:10 Andreas Sturmlechner
2021-02-18  8:23 Sam James
2021-01-22 18:45 Sam James
2021-01-20 20:18 Sam James
2021-01-20  7:41 Agostino Sarubbo
2020-12-17  0:45 Davide Pesavento
2020-11-28 21:59 Andreas Sturmlechner
2020-11-28  9:13 Agostino Sarubbo
2020-11-26 10:48 Sam James
2020-11-26 10:48 Sam James
2020-11-25 23:09 Thomas Deutschmann
2020-09-16  0:48 Davide Pesavento
2020-06-11  1:44 Davide Pesavento
2020-06-10 18:52 Davide Pesavento
2020-06-09 20:06 Michał Górny
2020-06-08 16:34 Mart Raudsepp
2020-06-07  8:48 Agostino Sarubbo
2020-06-07  8:44 Agostino Sarubbo
2020-06-05 22:43 Andreas Sturmlechner
2020-04-19  1:40 Davide Pesavento
2020-03-22 10:37 Agostino Sarubbo
2020-03-21 15:52 Agostino Sarubbo
2020-03-16 20:56 Michał Górny
2020-03-07 15:23 Michał Górny
2020-03-07 15:11 Michał Górny
2020-01-27 12:28 Mikle Kolyada
2020-01-11 19:58 Davide Pesavento
2019-12-31 14:06 Agostino Sarubbo
2019-12-31 14:02 Agostino Sarubbo
2019-12-27  3:33 Davide Pesavento
2019-12-23  1:50 Davide Pesavento
2019-12-01 19:30 Andreas Sturmlechner
2019-11-16 19:45 Davide Pesavento
2019-11-05 18:29 Michał Górny
2019-11-05  6:02 Davide Pesavento
2019-11-05  1:03 Davide Pesavento
2019-09-24 21:50 Davide Pesavento
2019-07-28 20:27 Mikle Kolyada
2019-07-23 16:45 Aaron Bauman
2019-07-16 15:56 Davide Pesavento
2019-07-10  5:48 Davide Pesavento
2019-07-08 12:10 Thomas Deutschmann
2019-07-08 11:05 Agostino Sarubbo
2019-07-06 19:07 Davide Pesavento
2019-05-26  5:45 Aaron Bauman
2019-05-12 22:22 Davide Pesavento
2019-05-12 22:22 Davide Pesavento
2019-04-30 12:46 Michael Palimaka
2019-04-30 12:46 Michael Palimaka
2019-04-26 17:51 Anthony G. Basile
2019-04-03  1:01 Davide Pesavento
2019-04-02 19:48 Davide Pesavento
2019-03-21 20:46 Davide Pesavento
2019-03-21 20:30 Davide Pesavento
2019-03-21 19:40 Davide Pesavento
2019-03-21 18:46 Davide Pesavento
2018-12-27 19:49 Davide Pesavento
2018-12-27 19:49 Davide Pesavento
2018-12-25  0:28 Davide Pesavento
2018-12-22 19:40 Davide Pesavento
2018-12-22 18:59 Davide Pesavento
2018-12-15 20:37 Davide Pesavento
2018-10-08  1:09 Davide Pesavento
2018-08-16 21:29 Davide Pesavento
2018-06-16 18:19 Andreas Sturmlechner
2018-06-02 23:21 Andreas Sturmlechner
2018-05-10 14:23 Andreas Sturmlechner
2018-03-24  0:07 Michael Palimaka
2018-03-04 20:40 Davide Pesavento
2018-02-01 19:39 Davide Pesavento
2018-02-01 19:24 Davide Pesavento
2018-02-01 19:24 Davide Pesavento
2017-11-24 23:45 Davide Pesavento
2017-11-24 21:43 Davide Pesavento
2017-11-24 21:43 Davide Pesavento
2017-11-12  6:06 Davide Pesavento
2017-11-12  6:06 Davide Pesavento
2017-10-20  0:39 Davide Pesavento
2017-06-19 20:07 Alexis Ballier
2017-06-11  5:19 Davide Pesavento
2017-04-05  0:21 Davide Pesavento
2017-03-18 21:29 Davide Pesavento
2017-03-18 18:17 Davide Pesavento
2017-03-17 10:15 Agostino Sarubbo
2017-03-16 10:13 Michael Weber
2017-03-10 21:41 Zac Medico
2017-01-25  0:54 Davide Pesavento
2016-12-31  5:57 Andrey Grozin
2016-07-13 16:19 Jeroen Roovers
2016-06-05 20:00 Michael Palimaka
2016-04-29  0:48 Davide Pesavento
2016-04-29  0:48 Davide Pesavento
2016-04-28  1:19 Davide Pesavento
2016-04-23 22:36 Davide Pesavento
2016-04-08 15:40 Davide Pesavento
2016-04-06 19:56 Markus Meier
2016-03-15 11:08 Agostino Sarubbo
2015-12-03 18:39 Davide Pesavento
2015-11-20  1:34 Davide Pesavento
2015-09-29 20:45 Markus Meier
2015-09-25 10:50 Agostino Sarubbo
2015-08-26  3:56 Davide Pesavento
2015-08-26  3:56 Davide Pesavento

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1596323978.c716e3b0b2dcd4c6a2c90893295165003992a794.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox